# Update basic PHP directives

This function sets the values of any basic PHP directive. The Basic Mode section of cPanel's
MultiPHP INI Editor interface (WHM >> Home >> Software >> MultiPHP INI Editor) lists these directives.

Note:

  This document only applies to systems that run EasyApache 4 with MultiPHP enabled.

Important:

  When you disable the Web Server role, the system disables this function.

Endpoint: GET /LangPHP/php_ini_set_user_basic_directives
Version: 11.136.0.25
Security: BasicAuth

## Query parameters:

  - `directive` (string, required)
    The name of a PHP directive and its value.

Note:

* To change the directive's value for multiple PHP directives, increment the parameter name. For example, the directive-1, directive-2, and directive-3 parameters.
* You must format values as :

  - `type` (string, required)
    The type of php.ini file.

* home
* vhost

Important:

 If you set this parameter to vhost, you must also include the vhost parameter.
    Enum: "home", "vhost"

  - `vhost` (string)
    The name of a virtual host.

Important:

 If the type value is vhost, you must use this parameter.
    Example: "clearly.com"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "php_ini_set_user_basic_directives"

  - `module` (string)
    The name of the module called.
    Example: "LangPHP"

  - `result` (object)

  - `result.data` (any)

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.LangPHP` (object)
    An object containing the virtual host's PHP directive information.

  - `result.metadata.LangPHP.path` (string)
    The absolute file path to the php.ini file.
    Example: "/home/allthethings/public_html/php.ini"

  - `result.metadata.LangPHP.phpversion` (string)
    The virtual host's installed version of PHP.
    Example: "ea-php55"

  - `result.metadata.LangPHP.type` (string)
    The type of php.ini file.

* home
* vhost
    Enum: "home", "vhost"

  - `result.metadata.LangPHP.vhost` (string)
    The virtual host's name.
    Example: "clearly.com"

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


